
<ion-header [translucent]="true">
  <ion-toolbar class="header">
    <ion-searchbar class="busqueda" (ionChange)="onSearchChange($event)"></ion-searchbar>
    <ion-img class="fav" (click)="navigate()" style="width: 80px; height: 80px;"
      src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Ei-heart.svg/2048px-Ei-heart.svg.png"></ion-img>
  </ion-toolbar>

  <ion-toolbar class="header">
    <ion-title class="title">
      POKEMONS
    </ion-title>
  </ion-toolbar>
</ion-header>


<ion-content >
<ion-list class="content-pokemons">
  <app-pokemons [pokemons]="pokemons"></app-pokemons>
</ion-list>

  <ion-infinite-scroll threshold="25%" position="bottom" (ionInfinite)="loadPokemons($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more Pokemon...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

  <!-- <script>
    const searchbar = document.querySelector('ion-searchbar');
    const items = Array.from(document.querySelector('ion-list').children);

    searchbar.addEventListener('ionInput', handleInput);

    function handleInput(event) {
      const query = event.target.value.toLowerCase();
      requestAnimationFrame(() => {
        items.forEach((item) => {
          const shouldShow = item.textContent.toLowerCase().indexOf(query) > -1;
          item.style.display = shouldShow ? 'block' : 'none';
        });
      });
    }
  </script> -->
</ion-content>

